Home | All Classes | Grouped Classes | Index | Search

# CL_Colorf::CL_Colorf

Constructs a black and fully transparent color. Construct a CL_Colorf out of a given byte based CL_Color Constructs a color.

    	CL_Colorf();

    	CL_Colorf(
    		const CL_Color& color);

    	CL_Colorf(
    		float r, float g, float b, float a = 1.0f);

Parameters:

red
  Red color component.
green
  Green color component.
blue
  Blue color component.
alpha
  Alpha (transparency) color component.

Detailed description:

Color components are specified in the range 0.0f to 1.0f.

An alpha value of 0.0f means complete transparency, while 1.0f means completely opaque (solid).

See also:

CL_Colorf | CL_Color

Questions or comments, write to the ClanLib mailing list.